import request from "@/utils/request";

export const getList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/user/level/list",
    method: "get",
    params: query,
  });
};

export const addLevel = (data: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/user/level/add",
    method: "post",
    data: data,
  });
};

export const editLevel = (data: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/user/level/upd",
    method: "post",
    data: data,
  });
};

export const delLevel = (data: number | number[]) => {
  return request<RespondPageType>({
    url: "/user/level/" + data,
    method: "delete",
  });
};
